// Plot2D applet for Plot2D lab
// This generates the applet that runs within the lab description

// Since this should contain the answers, the distributed copy
// has uninteresting methods

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2003, 2004
// Department of Computer Science
// University of North Carolina at Asheville

// Derived from UNCA CSCI 201 Plot-2D lab
// (c) J. Dean Brock, 1998

package edu.unca.cs.csci201.LabAids;

/**
 * Applet for Plot2D
 */
public class Plot2DAppl extends javax.swing.JApplet {
    
    edu.unca.cs.csci201.LabAids.PanelPlot2D testWindow ;
    
    /**
     * Applet initialization route
     */
    public void init() {
        try {
            java.awt.EventQueue.invokeAndWait(new Runnable() {
                public void run() {
                    initComponents();
                }
            });
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    private void initComponents() {
        testWindow = new edu.unca.cs.csci201.LabAids.PanelPlot2D(750, 500) ;
        getContentPane().add(testWindow) ;
        testWindow.addPainter(new MyClass1(), "Function 1") ;
        testWindow.addPainter(new MyClass2(), "Function 2") ;
        testWindow.addPainter(new MyClass3(), "Function 3") ;
        testWindow.addPainter(new MyClass4(), "Function 4") ;
        testWindow.addPainter(new MyClass5(), "Function 5") ;
    }

    // The answers go here
    private static class MyClass1 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f;
        }
    }

    private static class MyClass2 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f*f;
        }
    }

    private static class MyClass3 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f*f*f;
        }
    }

    private static class MyClass4 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f*f*f*f;
        }
    }
    
    private static class MyClass5 implements SpecPlot2D {
        public double TestFunc(double f) {
            return (f*f*f*f*f) ;
        }
    }

    
}
